Part Cylinder/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 19: Line 19:
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Создаёт простой цилиндр с параметрами расположение, угол, радиус и длина.
Создаёт простой цилиндр с параметрами расположение, угол, радиус и длина.
</div>

A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cylinder_Example.png|400px]]


==Применение==
==Применение==


<div class="mw-translate-fuzzy">
# Нажмите на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench/ru|Верстак Part]]
# Нажмите на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench/ru|Верстак Part]]
# Существует несколько способов вызова команды:
# Существует несколько способов вызова команды:
#* Нажмите на иконку {{Button|[[Image:Part_Cylinder.svg|16px]] Цилиндр}} на панели инструментов.
#* Нажмите на иконку {{Button|[[Image:Part_Cylinder.svg|16px]] Цилиндр}} на панели инструментов.
#* Выберите из меню {{MenuCommand|Деталь → Примитивы → [[Image:Part_Cylinder.svg|16px]] Цилиндр}}.
#* Выберите из меню {{MenuCommand|Деталь → Примитивы → [[Image:Part_Cylinder.svg|16px]] Цилиндр}}.

<div class="mw-translate-fuzzy">
'''Результат:''' По умолчанию создаётся твердотельный цилиндр с гранью и центром в плоскости глобальной системы координат (точка 0, 0, 0), радиусом 2мм и высотой 10мм.
</div>
</div>


== Example ==
The cylinder properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cylinder in the [[Tree_view|Tree view]].


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]

A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Свойства ==
== Свойства ==


See also: [[Property_editor|Property editor]].
* {{PropertyData|Angle}}: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)

* {{PropertyData|Height}}: The height is the distance in the z-axis
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Radius}}: The radius defines a plane in x-y.

* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
=== Data ===
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}

* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 54: Line 107:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:50, 3 March 2022

Цилиндр

Системное название
Нет
Расположение в меню
Деталь → Примитивы → Цилиндр
Верстаки
Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Описание

Создаёт простой цилиндр с параметрами расположение, угол, радиус и длина.

A Part Cylinder can be turned into a segment of a cylinder by changing its ДанныеAngle property.

Применение

  1. Нажмите на Верстак Part
  2. Существует несколько способов вызова команды:
    • Нажмите на иконку Цилиндр на панели инструментов.
    • Выберите из меню Деталь → Примитивы → Цилиндр.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Свойства

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • ДанныеRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • ДанныеHeight (Length): The height of the cylinder. The default is 10mm.
  • ДанныеAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • ДанныеFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • ДанныеSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()